Summary: A game like "Mindbender" (Amiga) or "Deflektor" (Atari ST).
Name: mirrormagic
Version: 1.3
Release: 1
Copyright: Not-for-profit source distributable; see COPYRIGHT.
Group: X11/Games/Video
Source0: mirrormagic_1.3.orig.tar.gz
Source1: RAY.names
Source2: RAY.score
Patch0: mirrormagic_1.3-6.diff.gz	# debian's patch file
Patch1: mirrormagic_1.3-64bit.diff
BuildRoot: /tmp/mm

%changelog

* Mon Dec 22 1997 Richard Henderson <rth@cygnus.com>

- Stole source package from debian; fixed 64-bit errors.

%description
This is a nice little game with color graphics and sound for your
Unix system with color X11.  The object is primarily to bounce a
magic light beam around a playing field.

%prep
%setup -n mirrormagic-1.3.orig
%patch0 -p1 -b .deb~
%patch1 -p1 -b .64~

%build
make DEBUG="$RPM_OPT_FLAGS"

%install
[ -z "$RPM_BUILD_ROOT" -o / = "$RPM_BUILD_ROOT" ] || rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/games/mirrormagic/graphics
mkdir -p $RPM_BUILD_ROOT/usr/lib/games/mirrormagic/sounds
mkdir -p $RPM_BUILD_ROOT/var/lib/games/mirrormagic
install mirrormagic $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m 444 graphics/* $RPM_BUILD_ROOT/usr/lib/games/mirrormagic/graphics/
install -m 444 sounds/* $RPM_BUILD_ROOT/usr/lib/games/mirrormagic/sounds/
install -m 444 RAY.level $RPM_BUILD_ROOT/var/lib/games/mirrormagic/
install -m 666 $RPM_SOURCE_DIR/RAY.names $RPM_BUILD_ROOT/var/lib/games/mirrormagic/
install -m 666 $RPM_SOURCE_DIR/RAY.score $RPM_BUILD_ROOT/var/lib/games/mirrormagic/
gzip -d $RPM_BUILD_ROOT/usr/lib/games/mirrormagic/graphics/*.gz

%clean
[ -z "$RPM_BUILD_ROOT" -o / = "$RPM_BUILD_ROOT" ] || rm -rf $RPM_BUILD_ROOT

%files
%doc README CHANGES DISCLAIMER COPYRIGHT
/usr/X11R6/bin/mirrormagic
/usr/lib/games/mirrormagic
%dir /var/lib/games/mirrormagic
%verify(user group mode) /var/lib/games/mirrormagic/RAY.names
%verify(user group mode) /var/lib/games/mirrormagic/RAY.score
/var/lib/games/mirrormagic/RAY.level
